# -*- coding: utf-8 -*-
import pymel.core as pm
import mtoa.utils as utils
import mtoa.ui.ae.utils as aeUtils
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate


class AEaiCurvatureTemplate(ShaderAETemplate):

   
    def setup(self):
        self.addSwatch()
       
        self.beginScrollLayout()
        
        self.beginLayout('曲率', collapse=False)
        self.addControl('output', label='输出')

        self.addControl('samples', label='采样')
        self.addControl('radius', label='半径')        
        self.addControl('spread', label='扩散')
        self.addControl('threshold', label='阈值')
        self.addControl('bias', label='偏差')
        self.addControl('multiply', label='相乘')
        self.addControl('traceSet', label='跟踪集')
        self.addControl('inclusive', label='包含的')
        self.addControl('selfOnly', label='只有自身')
        
        self.endLayout()
  
        # include/call base class/node attributes
        pm.mel.AEdependNodeTemplate(self.nodeName)
        
        self.addExtraControls()
        
        self.endScrollLayout()
